{
  "name": "Aare Web",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "tsc --skipLibCheck && vite build",
    "type-check": "tsc --noEmit",
    "lint": "eslint .",
    "preview": "vite preview",
    "start-dev": "vite --mode dev",
    "start-test": "vite --mode test",
    "start-prod": "vite --mode prod",
    "watch:openapi": "node fetch-openapi.js"
  },
  "dependencies": {
    "@aldabil/react-scheduler": "^2.9.5",
    "@bitnoi.se/react-scheduler": "^0.3.1",
    "@devexpress/dx-react-core": "^4.0.9",
    "@devexpress/dx-react-scheduler": "^4.0.9",
    "@emotion/react": "^11.13.3",
    "@emotion/styled": "^11.13.0",
    "@fullcalendar/daygrid": "^6.1.15",
    "@fullcalendar/interaction": "^6.1.15",
    "@fullcalendar/react": "^6.1.15",
    "@fullcalendar/timegrid": "^6.1.15",
    "@mui/icons-material": "^6.1.5",
    "@mui/lab": "^6.0.0-beta.29",
    "@mui/material": "^6.1.6",
    "@mui/system": "^6.1.6",
    "@mui/x-charts": "^7.28.0",
    "@mui/x-data-grid-premium": "^7.27.2",
    "@mui/x-tree-view": "^7.28.0",
    "axios": "^1.7.7",
    "chokidar": "^4.0.1",
    "dayjs": "^1.11.13",
    "dotenv": "^16.4.7",
    "exceljs": "^4.4.0",
    "file-saver": "^2.0.5",
    "fuse.js": "^7.0.0",
    "jwt-decode": "^4.0.0",
    "openapi-typescript-codegen": "^0.29.0",
    "react": "^18.3.1",
    "react-big-calendar": "^1.15.0",
    "react-dom": "^18.3.1",
    "react-qr-code": "^2.0.15",
    "react-qr-scanner": "^1.0.0-alpha.11",
    "react-router-dom": "^6.28.0",
    "react-scheduler": "^0.1.0",
    "rimraf": "^5.0.10"
  },
  "devDependencies": {
    "@eslint/js": "^9.11.1",
    "@types/react": "^18.3.10",
    "@types/react-dom": "^18.3.0",
    "@vitejs/plugin-react": "^4.3.2",
    "cross-env": "^7.0.3",
    "eslint": "^9.11.1",
    "eslint-plugin-react-hooks": "^5.1.0-rc.0",
    "eslint-plugin-react-refresh": "^0.4.12",
    "globals": "^15.9.0",
    "openapi-typescript": "^7.4.2",
    "typescript": "^5.5.3",
    "typescript-eslint": "^8.7.0",
    "vite": "^6.2.0",
    "vite-plugin-svgr": "^4.2.0"
  }
}
